Index: fedkit/Makefile
===================================================================
--- fedkit/Makefile	(revision 01308c9b668fe6c502ce40db87ab34f94f51af9a)
+++ fedkit/Makefile	(revision 4ed10aefdf7652c7ea1c9a8488706ceb7c9436b8)
@@ -1,7 +1,7 @@
-BINARIES=fed_bootstrap federate.sh smbmount.FreeBSD.pl smbmount.Linux.pl \
+BINARIES=federate.sh smbmount.FreeBSD.pl smbmount.Linux.pl \
 	 make_hosts fed-tun.pl fed-tun.ucb.pl fed_evrepeater
 PATCHES=rc.accounts.patch
 
-fedkit.tgz:
+fedkit.tgz:	${BINARIES} ${PATCHES}
 	mkdir -p /tmp/fedkit/local/federation/bin
 	mkdir -p /tmp/fedkit/local/federation/etc
@@ -9,3 +9,6 @@
 	cp ${PATCHES} /tmp/fedkit/local/federation/etc
 	tar czf fedkit.tgz -C /tmp/fedkit local
-	rm -rf /tmp/fedkit$$
+	rm -rf /tmp/fedkit
+
+clean:
+	rm -f fedkit.tgz
Index: fedkit/federate.sh
===================================================================
--- fedkit/federate.sh	(revision 01308c9b668fe6c502ce40db87ab34f94f51af9a)
+++ fedkit/federate.sh	(revision 4ed10aefdf7652c7ea1c9a8488706ceb7c9436b8)
@@ -58,10 +58,11 @@
 PROJECT=`$EMUDIR/tmcc -b status | $PERL -ne '/ALLOCATED=([^\/]+)\/([^\s]+)/ && print "$1\n";'`
 EXP=`$EMUDIR/tmcc -b status | $PERL -ne '/ALLOCATED=([^\/]+)\/([^\s]+)/ && print "$2\n";'`
-SCRIPTDIR="/proj/$PROJECT/exp/$EXP/tmp"
+CONFIGDIR="/proj/$PROJECT/exp/$EXP/tmp"
+SCRIPTDIR="/usr/local/federation/bin"
 
 # Die if Scripts are not where they should be.  NB, this is checked by the
 # bootstrapper, too, so a failure here is unlikely.
-if [ -z "$SCRIPTDIR" ] ; then
-    echo "Can't find federation scripts.  Tmcc status says:"
+if [ -z "$CONFIGDIR" ] ; then
+    echo "Can't find federation configs.  Tmcc status says:"
     $EMUDIR/tmcc -b status
     exit 1;
@@ -70,8 +71,8 @@
 # Get our gateway, share, and mount user from the configuration file.
 # There's probably a way to get all three at once, but this works.
-GATEWAY=`$PERL -ne '/ControlGateway:\s+(.*)/i && print "$1\n";' $SCRIPTDIR/client.conf`
-SHARE=`$PERL -ne '/SMBShare:\s+(.*)/i && print "$1\n";' $SCRIPTDIR/client.conf`
-SMBUSER=`$PERL -ne '/ProjectUser:\s+(.*)/i && print "$1\n";' $SCRIPTDIR/client.conf`
-SMBPROJECT=`$PERL -ne '/ProjectName:\s+(.*)/i && print "$1\n";' $SCRIPTDIR/client.conf`
+GATEWAY=`$PERL -ne '/ControlGateway:\s+(.*)/i && print "$1\n";' $CONFIGDIR/client.conf`
+SHARE=`$PERL -ne '/SMBShare:\s+(.*)/i && print "$1\n";' $CONFIGDIR/client.conf`
+SMBUSER=`$PERL -ne '/ProjectUser:\s+(.*)/i && print "$1\n";' $CONFIGDIR/client.conf`
+SMBPROJECT=`$PERL -ne '/ProjectName:\s+(.*)/i && print "$1\n";' $CONFIGDIR/client.conf`
 
 # XXX: modified seer daemon to read a config file.  Not in the tarfile yet.  If
@@ -88,6 +89,6 @@
 # Copy the seer.conf to the local /tmp if there is one
 
-if [ -e $SCRIPTDIR/seer.conf ]; then
-	/bin/cp $SCRIPTDIR/seer.conf /tmp
+if [ -e $CONFIGDIR/seer.conf ]; then
+	/bin/cp $CONFIGDIR/seer.conf /tmp
 fi
 
@@ -97,8 +98,8 @@
 # localhost entry that's aliased to this host's name. 
 grep 127\\.0\\.0\\.1 /etc/hosts > /tmp/hosts
-cat "$SCRIPTDIR/hosts" >> /tmp/hosts
+cat "$CONFIGDIR/hosts" >> /tmp/hosts
 # If there's no node in this experiment called control, fake one so
 # that SEER events get through (if SEER's in use)
-if ! grep -q control $SCRIPTDIR/hosts; then
+if ! grep -q control $CONFIGDIR/hosts; then
 	echo "$GWIP	control.$EXP.$PROJECT" >> /tmp/hosts
 fi
@@ -110,7 +111,10 @@
 # fragile and needs to change.  To make matters worse, our FBSD62-SMB images
 # contain the patched rc.accounts, so this patching step will fail there.
-cd "$EMUDIR/rc"
-patch -f < /tmp/rc.accounts.patch
-cd /tmp
+
+if [ -e /usr/local/federation/etc/rc.accounts.patch ]; then
+	cd "$EMUDIR/rc"
+	patch -f < /usr/local/federation/etc/rc.accounts.patch
+	cd /tmp
+fi
 
 #
@@ -167,5 +171,5 @@
 #
 echo "Mounting via SMB."
-$PERL "/tmp/$SMBMOUNT" $SHARE $GATEWAY $SMBUSER $SMBPROJECT
+$PERL "/usr/local/federation/bin/$SMBMOUNT" $SHARE $GATEWAY $SMBUSER $SMBPROJECT
 
 echo "Restoring old bossnode"
Index: fedkit/make_hosts
===================================================================
--- fedkit/make_hosts	(revision 01308c9b668fe6c502ce40db87ab34f94f51af9a)
+++ fedkit/make_hosts	(revision 4ed10aefdf7652c7ea1c9a8488706ceb7c9436b8)
@@ -17,5 +17,6 @@
 PROJECT=`$EMUDIR/tmcc -b status | $PERL -ne '/ALLOCATED=([^\/]+)\/([^\s]+)/ && print "$1\n";'`
 EXP=`$EMUDIR/tmcc -b status | $PERL -ne '/ALLOCATED=([^\/]+)\/([^\s]+)/ && print "$2\n";'`
-SCRIPTDIR="/proj/$PROJECT/exp/$EXP/tmp"
+CONFIGDIR="/proj/$PROJECT/exp/$EXP/tmp"
+SCRIPTDIR="/usr/local/federation/bin"
 
 # Very simple script to copy the global hosts file over the local one
@@ -50,6 +51,6 @@
 # Copy the seer.conf to the local /tmp if there is one
 
-if [ -e $SCRIPTDIR/seer.conf ]; then
-	/bin/cp $SCRIPTDIR/seer.conf /tmp
+if [ -e $CONFIGDIR/seer.conf ]; then
+	/bin/cp $CONFIGDIR/seer.conf /tmp
 fi
 
